/*
 * user.cpp
 *
 *  Created on: 27 мая 2015 г.
 *      Author: nick
 */


#include <user.h>
#include <httpd.h>

void setup(const bool reset) {
	new VFS(VFS_USE_MAX_SIZE); // Инициализация файловой системы на Flash RAM, выделяем максимальный размер
	HTTPD *httpd = new HTTPD(80,1000); // Создаем HTTP сервер на порту 80, время ожидания данных секунда
	SocketServer->registerSocketListener(httpd); // Регистрируем его в супердемоне
	// Задаем сетевые адреса по умолчанию
	IP4Address address = { 192,168,0,100};
	IP4Address mask = { 255,255,255,0};
	// Конфигурируем супердемон с использованием DHCP
	SocketServer->configure(true,address,mask);
}

void onIdle() { }

bool acceptConnection(const EthernetAddress hwAddr, const IP4Address ipAddr) {
	return true;
}
